Bug 638215 - xen distros are should not be available for bare metal installs
xen distros are should not be available for bare metal installs
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks: 700021
  Show dependency treegraph
 
Reported: 2010-09-28 10:14 EDT by Phil Cassaro
Modified: 2012-09-13 10:56 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 11:17:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Cassaro 2010-09-28 10:14:35 EDT
Description of problem: When doing a reserve workflow, it is possible to select a xen distro, and then choose a bare-metal system to provision it on. They should be available for virt guest installs only.


Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. from Beaker Web UI, click Scheduler, then Reserve
2. Choose arch, Distro family, method, Tag
3. Select a xen distro and click 'Show Systems'
  
Actual results: Bare-metal systems are listed as possible systems for install, however the xen distros will not successfully install


Expected results: only virt guest systems should be listed


Additional info: The xen distro installs attempted on bare metal systems fail with error "Invalid or corrupt kernel image'. Error repeats until watchdog kills the job
Comment 1 Bill Peck 2012-06-06 11:17:01 EDT
we've stopped importing xen distros.

Note You need to log in before you can comment on or make changes to this bug.